<?xml version="1.0" encoding="UTF-8"?>
<configuration>
    <system.webServer>
        <rewrite>
            <rules>
                <rule name="Imported Rule 1" enabled="true">
                    <match url="^$" ignoreCase="false" />
                    <action type="Rewrite" url="index.html" appendQueryString="true" logRewrittenUrl="true" />
                </rule>
                <rule name="Imported Rule 2" enabled="true">
                    <match url="^([^.]+)$" ignoreCase="true" />
                    <action type="Rewrite" url="{R:1}.html" appendQueryString="true" logRewrittenUrl="true" />
                </rule>
                <rule name="Imported Rule 3" enabled="true" stopProcessing="true">
                    <match url="^(.*)$" ignoreCase="false" />
                    <conditions logicalGrouping="MatchAll">
                        <add input="{REQUEST_FILENAME}" matchType="IsFile" negate="true" />
                    </conditions>
                    <action type="Rewrite" url="index.php" appendQueryString="true" logRewrittenUrl="true" />
                </rule>
            </rules>
        </rewrite>
        <tracing>
            <traceFailedRequests>
                <remove path="*" />
                <add path="*">
                    <traceAreas>
                        <add provider="ASP" verbosity="Verbose" />
                        <add provider="ASPNET" areas="Infrastructure,Module,Page,AppServices" verbosity="Verbose" />
                        <add provider="ISAPI Extension" verbosity="Verbose" />
                        <add provider="WWW Server" areas="Authentication,Security,Filter,StaticFile,CGI,Compression,Cache,RequestNotifications,Module,FastCGI" verbosity="Verbose" />
                    </traceAreas>
                    <failureDefinitions timeTaken="00:00:00" statusCodes="401.3,500,404" />
                </add>
            </traceFailedRequests>
        </tracing>
    </system.webServer>
</configuration>
